Mailrelay API Reference

Add a new campaign folder

POST https://{account}/api/v1/campaign_folders

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Add a new campaign folder

Parameters

NameTypeRequiredDescription
name string Yes Name

Responses

StatusDescription
201 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
name string Name
campaigns_count integer Number of campaigns in this folder
created_at string Created at
updated_at string Updated at